package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 活动资源类型
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum ActivityResourceEnum implements BaseEnum<String, ActivityResourceEnum> {

    MUSIC_SHEET("曲谱"),
    TEACHER("老师"),
    ;

    @EnumValue
    private String code;
    private String msg;

    ActivityResourceEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
